package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

/**
 *
 * @author fpalma
 */
public class V9_5_To_V9_6
		implements siprp.update.Update
{
	
	public V9_5_To_V9_6()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "Relacao postoDeTrabalho <-> estabelecimento"
		                    };
	}
	
	public double getStartVersion()
	{
		return 9.5;
	}
	
	public double getEndVersion()
	{
		return 9.6;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"create table hs_posto_estabelecimento(" +
					"		posto_id int4 REFERENCES hs_posto(id)," +
					"		estabelecimento_id int4 REFERENCES estabelecimentos(id)," +
					"		CONSTRAINT hs_posto_estabelecimento_pkey PRIMARY KEY(posto_id,estabelecimento_id)" +	
					");"
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
